Package: org.gradle.api.plugins

## [Java] Class UnknownPropertyException

- org.gradle.api.plugins.ExtraPropertiesExtension.UnknownPropertyException

- The exception that will be thrown when an attempt is made to read a property that is not set.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ExtraPropertiesExtension.UnknownPropertyException (ExtraPropertiesExtension extension, String propertyName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ExtraPropertiesExtension.UnknownPropertyException(ExtraPropertiesExtension extension, String propertyName)